// Fichier JavaScript d'arrière plan de l'extension */

/* Détecte la réception de messages vers l'extension */ 
chrome.runtime.onMessage.addListener(function(message, sender, sendResponse){
  if (message.popupOpen) { /* Message envoyé à l'ouverture du popup de l'extension */
    chrome.tabs.query({active: true}, function(tabs) {
      /* tabs[0] est l'onglet actif */      
      chrome.scripting.insertCSS({
        target: {tabId: tabs[0].id, allFrames: false},
        files: ["assets/inject.css"]
      });
      chrome.scripting.executeScript({
        target: {tabId: tabs[0].id, allFrames: false},
        files: ["assets/inject.js"]
      });
    });
  }
});