/* ToutJavaScript.com - Olivier Hondermarck - */

/* A l'écoute des messages envoyé par inject.js */
chrome.runtime.onMessage.addListener(
  function(request, sender, sendResponse) {
    if (request.showHeaders) { /* Met à jour le popup avec les nb H1 et H2 */
      let data=request.showHeaders;
      document.querySelector("#nbH1").innerText="Nombre de H1 : "+data.nbH1;
      document.querySelector("#nbH2").innerText="Nombre de H2 : "+data.nbH2;
    }
  }
);

/* Détection du chargement complet du document */
document.addEventListener("DOMContentLoaded", function() {
  /* Internationalisation */
  document.querySelector("div#explain").innerText =  chrome.i18n.getMessage("txtExplain");;	
	
  /* Envoyer le message "popupOpen" dans le background.js de l'extension */
  chrome.runtime.sendMessage({popupOpen: true});
});